开启左侧

有谁看懂作者的源码是怎么用的吗?

[复制链接]
☭雷光兽☭ 2023-9-7 13:59:46
悬赏30车费已解决
本帖最后由 ☭雷光兽☭ 于 2023-9-8 14:53 编辑   Q( M# R5 x6 I$ Y

5 k' b1 ?5 m% a$ E* ]# P" ~众所周知,MTR自从6月开始就停止更新,1.20的可以在服务器加载的版本迟迟不出现2 w. _0 R$ X% H; D: ~9 Y) ~- W( K
8 ?& N5 E2 B) H! Z3 l1 s
所以我抱着试一试的···在GITHUB下载了源码包。按照说明,只需要按格式运行一条指令就能构建你想要的游戏版本9 E. e+ Y, B1 }
  1. gradlew build -PbuildVersion=<MC版本>
复制代码
pbuildversion有可能是选择FABIRC或者FORGE; h( z. i" N8 J- d
3 M4 P8 ^7 N/ n, P
5 W8 T7 y/ m' g7 @  @8 q
但是我在IDEA里输入指令报错是为什么?这条指令不存在??
' H' j  l5 I0 M  A3 ]* y
. y. [5 K- w3 S( P% A" U无论怎么填写,都是一样的错误信息( \3 Z7 h6 B4 f/ Y; @: d! p  ]

+ V$ N! w% |4 \" e6 o; o7 B. y( [9 i% K! o4 \
而且IDEA里只有这个地方能输入指令,如果大家找出指令的用法欢迎在评论区交流" X3 T/ u' }. R. G; ^
附件: 您需要 登录 才可以下载或查看,没有账号?立即注册

最佳答案

查看完整内容

在idea环境下请使用右侧gradle字样运行任务 当然如果你需要用shell构建请使用.\前缀
很简单的道理
如果在一个地区做了一件看似正常的小事(不管是恶意的还是友好的)也能引发轩然大波,足以引起“公愤”,那么该地区社会风气可能仍未稳定

那还是尽早隐居为好
aftersans53228 作者认证 2023-9-7 13:59:47
在idea环境下请使用右侧gradle字样运行任务
% h% L( k5 y- [1 ?  L当然如果你需要用shell构建请使用.\前缀
是的你说的很对,但是...

AFRoads,你搞城建绝对用得上(
ShentongMetro 作者认证 2023-9-7 16:50:30
您好 请使用眼睛

又叫XHG78999
私信一概不看,有事QQ联系
楼主 ☭雷光兽☭ 2023-9-7 16:56:13
ShentongMetro 发表于 2023-9-7 13:50; b' G$ R; R, T* ~7 I1 S" j
您好 请使用眼睛

3 Z- t* {( _5 O8 v, y' E+ e  G, z  y8 Z& d# a6 C+ U4 ]; h
??& ]  x: T0 D% |! D* w; s
???
很简单的道理
如果在一个地区做了一件看似正常的小事(不管是恶意的还是友好的)也能引发轩然大波,足以引起“公愤”,那么该地区社会风气可能仍未稳定

那还是尽早隐居为好
mtrrtrain 作者认证 2023-9-7 19:18:44
“默认情况下,PowerShell不会从当前位置加载此命令,如果信任此命令........”
论Minecraft的
Sgss 2023-9-8 10:00:10
用命令提示符跑
楼主 ☭雷光兽☭ 2023-9-8 17:54:29
本帖最后由 ☭雷光兽☭ 于 2023-9-8 14:55 编辑 ( L$ W; J/ J" K7 y. e, o
Sgss 发表于 2023-9-8 07:00
( v$ K- S# c& r0 ]( Z1 f* G用命令提示符跑

4 N  z1 L3 ?& K" p5 B7 n* g系统的那个CMD?这不对吧?和编程软件是互不隶属的

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?立即注册

×
很简单的道理
如果在一个地区做了一件看似正常的小事(不管是恶意的还是友好的)也能引发轩然大波,足以引起“公愤”,那么该地区社会风气可能仍未稳定

那还是尽早隐居为好
CokeStudio 2023-9-9 10:30:18
本帖最后由 CokeStudio 于 2023-9-9 10:36 编辑
/ d/ s2 x" ^) x! O* Q
☭雷光兽☭ 发表于 2023-9-8 17:54% c% _. r' ^- I% x
系统的那个CMD?这不对吧?和编程软件是互不隶属的
  L, M3 K: E0 ~* T
就在系统的cmd里面跑,先cd到项目的目录,再gradlew' X2 Q4 B  J  ]" M5 o, Q; J
又不是必须编程软件才能编译项目
* S1 N8 O6 @6 g) K当然,不是想要什么版本就能编译什么版本的。。。比如1.12.2就不可能行,1.20可能要改一点代码, f& Y3 S! i, b' i
还有就是fabricforge没法选,是一起编译的
- B# H9 s6 K) V+ E而且明明就有1.20的版本- E8 H" ~  m( ~1 M) l
CokeStudio 2023-9-9 10:35:58
本帖最后由 CokeStudio 于 2023-9-9 10:36 编辑 7 l3 y) K+ `7 N, J1 n' k
6 W9 J1 x0 s% x" s2 Z# ]
不小心连楼了
Sgss 2023-9-10 13:40:05
☭雷光兽☭ 发表于 2023-9-8 17:54
- r% s% Z  o" \: S9 Z! {  O  k  t系统的那个CMD?这不对吧?和编程软件是互不隶属的

$ n( \6 _; _1 m, U' Pcd Minecraft-Transit-Railway, y) C5 v# N# y3 K1 F2 J) q, _# P& F
gradlew build -PbuildVersion=<minecraft version>
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表